# Interface Symbol3DLayerJsonBase

Base class for symbol 3D Layer.

interface Symbol3DLayerJsonBase {
type: Symbol3DLayerJsonType;
}

#### Hierarchy (view full)

- Symbol3DLayerJsonBase
  - ExtrudeSymbol3DLayerJson
  - FillSymbol3DLayerJson
  - IconSymbol3DLayerJson
  - ObjectSymbol3DLayerJson
  - PathSymbol3DLayerJson
  - LineSymbol3DLayerJson
  - TextSymbol3DLayerJson

#####
Index

### Properties

type

##
Properties

### type

type: Symbol3DLayerJsonType

The type of the Symbol3DLayer. See Symbol3DLayerJsonType.